summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-physics/lhapdf
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-physics/lhapdf')
-rw-r--r--sci-physics/lhapdf/Manifest8
-rw-r--r--sci-physics/lhapdf/lhapdf-5.8.4.ebuild94
-rw-r--r--sci-physics/lhapdf/lhapdf-6.1.5.ebuild68
-rw-r--r--sci-physics/lhapdf/metadata.xml21
4 files changed, 191 insertions, 0 deletions
diff --git a/sci-physics/lhapdf/Manifest b/sci-physics/lhapdf/Manifest
new file mode 100644
index 00000000000..1092efd0fa2
--- /dev/null
+++ b/sci-physics/lhapdf/Manifest
@@ -0,0 +1,8 @@
+DIST LHAPDF-6.1.5.tar.gz 668112 SHA256 ee5dfac1c32a386c966b28cb6a2d51531d4eaf9945c4cb48431dd3fabef83231 SHA512 a5e1ac38f681ea6e4bcef4540f8bb836ebeae809ae160a2069972b8752a334a850ae5ec226b19a09da775a0c790439548b0a8a671c4a3f5852a75bbb0647c473 WHIRLPOOL 793ffee34a7bcba616816f030b9206bf1431fcf2d56daf8125818ebac0667677488529dcb2d0141ee5af48e9cf748171c997c1a5028218b21c59d37d2e9780b5
+DIST MRST2004nlo.LHgrid 288040 SHA256 bc1aa4f26ebcf4a6a1bd6e3ec5fbd5fa3ff378c116247fa27ccd5e76324368ce SHA512 b554454fa494c86a3ae56168c3d74c5e3c3bd80f10b393153c0adfbb39a3f3837ae2db80534d288784409154034187c9c5212dfc9c21ed1bf32ef89b9266e262 WHIRLPOOL b7f1e6115015cf19c092cf367798fe1d4459d0c9fac84e022034c14fd81d27023a35f30e7e727a35e2d8af409f448508744be76f04b441b22466ebd92c600bdf
+DIST cteq5l.LHgrid 134797 SHA256 83c92bc90fd6e12be9cd76bc032eca26dcedbe90f0c11aef843bbf54734d5bba SHA512 1ba41fd773104a933af6f37745dcb6f8422e1aece74ba2b1e15a5fb69fdaf694336c0ec1dc6fbc964d2cf3fe363d17ca0c01a6c2ba6def0afa4389cb4083f34b WHIRLPOOL 8a86877fcbae2b45576e3fae08dfd4771c668257893ba2f813c578641dce9800f42bfd57d0d8ac2abc6bf7cd40921020478f1912014a36cfb722ed408ca1430f
+DIST cteq61.LHgrid 8946864 SHA256 5df10c695504f02c2c9cc1eda9ca77fa8c276554cf2cda5fbdba764bf8f47691 SHA512 ab35c058f1ece8b428d8664ba2e14068541279328b5eb9e13b020642cc804c21f7412414dd74bb3621a5136bfa7d9a60832604c944d1e3519c5a94d3dce2a063 WHIRLPOOL a3a5ef45ea92e45a5764cbb484523b2eff671ad2c04f25b0b03efd631d367f3bf9784b19eacf927d909301c73a85505f9f87a3fd3f242fcf48d6e611fe510478
+DIST cteq61.LHpdf 11860 SHA256 0dacfd4d5518b2273ba80ae381af7d46eab4784e84312585f5f149f8fce759f0 SHA512 2769bcaed94aa4b47144cd2c3ce76e0b6ab4fa8af278db5cb3b612f2286200352e829eec3971c8da0b78144483f00bbbf1ae2aae8d1e75045d239fab40289bc0 WHIRLPOOL e24427537b81c438552de53d1ef4ca34c425a241e318ffbeff3f5b632793a2cb6ec4d41bde895e56537c9ace520e012008a5370890c6199b1c29bc4ebc0925ae
+DIST lhapdf-5.8.4.tar.gz 1165256 SHA256 75a3b44bd4509bec47806fb5ad4baaa6334a2aa8f51cf2f7195d4f08bd353ca2
+DIST wrapheragrid-lite.f 7785 SHA256 50e1c4113f6312b0e6131870e7739a4bfb251e20f4f5cddd69e27ceb26e47a1f
+DIST wrapheragrid.f 6931 SHA256 6bd1c4e19de850a2cbe8c548050c772b367f6738f9ba7bb5b6561915833bf5fd
diff --git a/sci-physics/lhapdf/lhapdf-5.8.4.ebuild b/sci-physics/lhapdf/lhapdf-5.8.4.ebuild
new file mode 100644
index 00000000000..8bef4905647
--- /dev/null
+++ b/sci-physics/lhapdf/lhapdf-5.8.4.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit versionator
+
+MY_PV=$(get_version_component_range 1-3 ${PV})
+MY_PF=${PN}-${MY_PV}
+
+DESCRIPTION="Les Houches Parton Density Function unified library"
+HOMEPAGE="http://projects.hepforge.org/lhapdf/"
+SRC_URI="http://www.hepforge.org/archive/lhapdf/${MY_PF}.tar.gz
+ http://projects.hepforge.org/${PN}/updates-5.8.3/wrapheragrid.f
+ http://projects.hepforge.org/${PN}/updates-5.8.3/wrapheragrid-lite.f
+ test? (
+ http://svn.hepforge.org/${PN}/pdfsets/tags/${MY_PV}/cteq61.LHgrid
+ http://svn.hepforge.org/${PN}/pdfsets/tags/${MY_PV}/MRST2004nlo.LHgrid
+ http://svn.hepforge.org/${PN}/pdfsets/tags/${MY_PV}/cteq61.LHpdf
+ octave? ( http://svn.hepforge.org/${PN}/pdfsets/tags/${MY_PV}/cteq5l.LHgrid ) )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="cxx doc examples octave python test"
+
+RDEPEND="octave? ( sci-mathematics/octave )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[latex] )
+ python? ( dev-lang/swig )"
+
+S="${WORKDIR}/${MY_PF}"
+
+src_unpack() {
+ unpack ${MY_PF}.tar.gz
+ cp "${DISTDIR}"/wrapheragrid.f "${S}"/src/wrapheragrid.f
+ cp "${DISTDIR}"/wrapheragrid-lite.f "${S}"/src/wrapheragrid-lite.f
+}
+
+src_prepare() {
+ # do not create extra latex docs
+ sed -i \
+ -e 's/GENERATE_LATEX.*=YES/GENERATE_LATEX = NO/g' \
+ ccwrap/Doxyfile || die
+}
+
+src_configure() {
+ local myconf="--enable-ccwrap"
+ ! use octave && ! use cxx && myconf="--disable-ccwrap"
+ econf \
+ $(use_enable cxx old-ccwrap ) \
+ $(use_enable octave) \
+ $(use_enable python pyext) \
+ $(use_enable doc doxygen) \
+ ${myconf}
+}
+
+src_test() {
+ # need to make a bogus link for octave test
+ ln -s "${DISTDIR}" PDFsets
+ LHAPATH="${PWD}/PDFsets" \
+ LD_LIBRARY_PATH="${PWD}/lib/.libs:${LD_LIBRARY_PATH}" \
+ emake check || die "emake check failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README TODO AUTHORS ChangeLog
+
+ # leftover
+ rm -rf "${D}"/usr/share/${PN}/doc || die
+ if use doc && use cxx; then
+ # default doc install buggy
+ insinto /usr/share/doc/${PF}
+ doins -r ccwrap/doxy/html || die
+ fi
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.{f,cc} || die
+ fi
+}
+
+pkg_postinst() {
+ elog "To install data files, you have to run as root:"
+ elog "${ROOT}usr/bin/lhapdf-getdata --dest=${ROOT}usr/share/lhapdf/PDFsets --all"
+}
+
+pkg_postrm() {
+ if [ -d "${ROOT}usr/share/lhapdf" ]; then
+ ewarn "The data directory has not been removed, probably because"
+ ewarn "you still have installed data files."
+ fi
+}
diff --git a/sci-physics/lhapdf/lhapdf-6.1.5.ebuild b/sci-physics/lhapdf/lhapdf-6.1.5.ebuild
new file mode 100644
index 00000000000..e27e87386fb
--- /dev/null
+++ b/sci-physics/lhapdf/lhapdf-6.1.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_IN_SOURCE_BUILD=yes
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit versionator autotools-utils distutils-r1
+
+MY_PV=$(get_version_component_range 1-3 ${PV})
+MY_PF=LHAPDF-${MY_PV}
+
+DESCRIPTION="Les Houches Parton Density Function unified library"
+HOMEPAGE="http://lhapdf.hepforge.org/"
+SRC_URI="http://www.hepforge.org/archive/lhapdf/${MY_PF}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc examples python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ dev-libs/boost:0=
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[latex] )"
+
+S="${WORKDIR}/${MY_PF}"
+
+src_configure() {
+ autotools-utils_src_configure $(use_enable python)
+ if use python; then
+ cd "${S}/wrappers/python" && distutils-r1_src_prepare
+ fi
+}
+
+src_compile() {
+ autotools-utils_src_compile all $(use doc && echo doxy)
+ if use python; then
+ cd "${S}/wrappers/python" && distutils-r1_src_compile
+ fi
+}
+
+src_test() {
+ autotools-utils_src_compile -C tests
+}
+
+src_install() {
+ autotools-utils_src_install
+ use doc && dohtml -r doc/doxygen/*
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.cc
+ fi
+ if use python; then
+ cd "${S}/wrappers/python" && distutils-r1_src_install
+ fi
+}
+
+pkg_postinst() {
+ elog "Download data files from:"
+ elog "http://www.hepforge.org/archive/${PN}/pdfsets/$(get_version_component_range 1-2 ${PV})"
+ elog "and untar them into ${EROOT%/}/usr/share/LHAPDF"
+}
diff --git a/sci-physics/lhapdf/metadata.xml b/sci-physics/lhapdf/metadata.xml
new file mode 100644
index 00000000000..663117301f4
--- /dev/null
+++ b/sci-physics/lhapdf/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-physics</herd>
+<longdescription lang="en">
+ Les Houches Parton Density Function (LHAPDF)
+ provides a unified and easy to use interface to modern PDF
+ sets. It is designed to work not only with individual PDF sets but
+ also with the more recent multiple "error" sets. It can be viewed as
+ the successor to PDFLIB, incorporating many of the older sets found in
+ the latter, including pion and photon PDFs. In LHAPDF the computer
+ code and input parameters/grids are separated thus allowing more easy
+ updating and no limit to the expansion possibilities. The code and
+ data sets can be downloaded together or individually as desired. From
+ version 4.1 onwards a configuration script facilitates the
+ installation of LHAPDF.
+</longdescription>
+<use>
+ <flag name='octave'>Add bindings for <pkg>sci-mathematics/octave</pkg></flag>
+</use>
+</pkgmetadata>